package com.huoran.iasf.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.iasf.common.utils.R;
import com.huoran.iasf.entity.Discipline;
import com.huoran.iasf.entity.Professional;
import com.huoran.iasf.entity.ProfessionalClass;
import com.huoran.iasf.service.DisciplineService;
import com.huoran.iasf.service.ProfessionalClassService;
import com.huoran.iasf.service.ProfessionalService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @描述：学科控制类
 * @作者: Rong
 * @日期: 2024-06-17
 */
@RestController
@RequestMapping("/subject")
@Api(value = "学科类相关", tags = "学科类相关")
public class DisciplineController {

    @Autowired
    public DisciplineService disciplineService;
    @Autowired
    public ProfessionalService professionalService;

    @Autowired
    public ProfessionalClassService classService;



    @GetMapping("/courseDiscipline")
    @ApiOperation(value = "课程学科类别", response = Discipline.class)
    public R courseDiscipline() {
        List<Discipline> list = disciplineService.subjectCategory();
        return R.success(list);
    }

    @GetMapping("/courseProfessionalClass")
    @ApiOperation(value = "课程专业类", response = ProfessionalClass.class)
    public R disciplineList(@ApiParam(value = "disciplineId") @RequestParam("disciplineId") Integer disciplineId) {
        QueryWrapper<ProfessionalClass> queryWrapper = new QueryWrapper<>();
        if (disciplineId != null){
            queryWrapper.eq("discipline_id", disciplineId);
        }
        List<ProfessionalClass> list = classService.list(queryWrapper);
        return R.success(list);
    }


    @GetMapping("/threeLevelJointInvestigation")
    @ApiOperation(value = "三级联查", response = ProfessionalClass.class)
    public R threeLevelJointInvestigation(@ApiParam(value = "disciplineId") @RequestParam("disciplineId") Integer disciplineId) {

        return R.success(disciplineService.getCourseDisciplineWithDetails(disciplineId));
    }


    @GetMapping("/courseProfessional")
    @ApiOperation(value = "课程专业", response = Professional.class)
    public R courseProfessional(@ApiParam(value = "professionalClassId") @RequestParam("professionalClassId") Integer professionalClassId) {
        QueryWrapper<Professional> queryWrapper = new QueryWrapper<>();
        if (professionalClassId != null){
            queryWrapper.eq("professional_class_id", professionalClassId);
        }
        List<Professional> list = professionalService.list(queryWrapper);
        return R.success(list);
    }

}

