package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 产品与课程分类表
 * </p>
 *
 * @author cheney
 * @since 2024-06-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_category")
@ApiModel(value = "Category对象", description = "产品与课程分类表")
public class Category implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "分类ID")
    @TableId(value = "category_id", type = IdType.AUTO)
    private Integer categoryId;

    @ApiModelProperty(value = "分类名称")
    private String name;

    //    @ApiModelProperty(value = "类型标识，区分是课程还是产品)0:课程,1:产品(0:课程,1:产品)")
    @ApiModelProperty(value = "类型区分，0:课程分类,1:产品分类标签,2.产品类型")
    private Integer type;

    @ApiModelProperty(value = "分类描述")
    private String description;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "站点id")
    @NotNull(message = "站点id不能为空")
    private Integer siteId;


}
