package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 悬浮栏方案
 * </p>
 *
 * @author cheney
 * @since 2024-06-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SysFloatingColumnScheme对象", description = "悬浮栏方案")
public class SysFloatingColumnScheme implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "悬浮栏方案名称")
    private String schemeName;

    @ApiModelProperty(value = "状态(0默认草稿箱 1为已发布)")
    private Integer status;

    @ApiModelProperty(value = "悬浮栏样式id(关联样式表id)")
    private Integer floatingBarStyle;

    @ApiModelProperty(value = "是否禁用(默认1不启用，0启用 1禁用)")
    private Integer isDisable;

    @ApiModelProperty(value = "站点id")
    private Integer siteId;

    @ApiModelProperty(value = "创建人id")
    private Integer founderId;

    @ApiModelProperty(value = "编辑人id")
    private Integer editorId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "表示是否为全局应用，便于快速判断是否存在全局悬浮栏,0表示不是全局悬浮栏，1表示是全局悬浮栏")
    private Integer isGlobal;


    @ApiModelProperty(value = "悬浮栏方案模块")
    @TableField(exist = false)
    private List<SysFloatingColumnSchemeModule> floatingColumnSchemeModules;

    @ApiModelProperty(value = "悬浮栏方案范围")
    @TableField(exist = false)
    private List<SysFloatingColumnSchemeScopeOfApplication> floatingColumnSchemeScopeOfApplications;

}
