package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 导航图标设置
 * </p>
 *
 * @author cheney
 * @since 2024-07-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SysNavigationIcon对象", description = "导航图标设置")
public class SysNavigationIcon implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "站点ID")
    private Integer siteId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "按钮文字")
    private String buttonText;

    @ApiModelProperty(value = "图标")
    private String icon;

    @ApiModelProperty(value = "按钮内容")
    private String buttonContent;

    @ApiModelProperty(value = "链接地址")
    private String linkAddress;

    @ApiModelProperty(value = "图片路径")
    private String imagePath;

    @ApiModelProperty(value = "设置内容类型：0-跳转链接，1-图片上传")
    private Integer type;

    @ApiModelProperty(value = "是否新开页面")
    private Integer newTab;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "创建人ID")
    private Integer founderId;

    @ApiModelProperty(value = "编辑人ID")
    private Integer editorId;

    @ApiModelProperty(value = "是否删除：1-未删除；0-已删除")
    private Integer deleted;

    @ApiModelProperty(value = "发布状态：0-草稿，1-已发布")
    private Integer publishStatus;

    @ApiModelProperty(value = "是否禁用：0-启用，1-禁用")
    private Integer isDisable;


    @ApiModelProperty(value = "排序顺序")
    private Integer sortOrder;

    @ApiModelProperty(value = "编辑人姓名")
    @TableField(exist = false)
    private String editorSName;
}
