package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 适用学科专业配置
 * </p>
 *
 * @author cheney
 * @since 2024-06-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SysSubjectSpecialty对象", description = "适用学科专业配置")
public class SysSubjectSpecialty implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "模板详情id")
    private Integer templateDetailsId;

    @ApiModelProperty(value = "学科类别id，仅产品使用，可为空")
    private Integer subjectCategoryId;

    @ApiModelProperty(value = "专业类别id，仅产品使用，可为空")
    private Integer professionalCategoryId;

    @ApiModelProperty(value = "专业id，仅产品使用，可为空")
    private Integer majorId;


}
