package com.huoran.iasf.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.iasf.entity.Category;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 产品与课程分类表 Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2024-06-12
 */
public interface CategoryMapper extends BaseMapper<Category> {

    //校验：用于删除分类前校验文章是否引用过，如果引用过就要提示“xxxx已被文章引用，是否确认删除，删除后对应文章内设置的分类将一并被删除！”，参数为站点id，分类id，类型
    int checkDelete(@Param("siteId") Integer siteId, @Param("categoryId") Integer categoryId,@Param("type") Integer type);

    //查询站点内引用过的标签id
    String queryLabelsReferencedWithinSite(@Param("siteId") Integer siteId);


    List<Category> lookUpTheTypeOfReferenceBySite(@Param("siteId")Integer siteId,@Param("type")Integer type);
}
