package com.huoran.iasf.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.iasf.entity.SysFloatingColumnScheme;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.iasf.entity.SysFloatingColumnSchemeScopeOfApplication;
import com.huoran.iasf.vo.SysFloatingColumnSchemeScopeOfApplicationWithSiteIdVO;
import com.huoran.iasf.vo.SysFloatingColumnSchemeVO;
import com.huoran.iasf.vo.req.ApplicationScopeCheckReq;
import com.huoran.iasf.vo.req.PageContentReqVO;
import com.huoran.iasf.vo.req.SuspensionBarListPagingReq;
import com.huoran.iasf.vo.resp.PageContentRespVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 悬浮栏方案 Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2024-06-04
 */
public interface SysFloatingColumnSchemeMapper extends BaseMapper<SysFloatingColumnScheme> {
    IPage<SysFloatingColumnSchemeVO> floatingBarList(Page<SysFloatingColumnSchemeVO> page, @Param("req") SuspensionBarListPagingReq req);

    List<SysFloatingColumnSchemeScopeOfApplication> getsTheGloballyEnabledFloatingBarSchemeRadius(@Param("req") ApplicationScopeCheckReq req);


    // 查询当前站点下所有已启用的悬浮栏方案（排除当前方案ID），并关联获取站点ID
    List<SysFloatingColumnSchemeScopeOfApplicationWithSiteIdVO> selectEnabledScopesExcludingCurrent(
            @Param("floatingBarSchemeId") Integer floatingBarSchemeId,
            @Param("siteId") Integer siteId);


    // 查询该站点下所有其他启用的悬浮栏方案及其应用范围，排除指定的方案ID列表
    List<SysFloatingColumnSchemeScopeOfApplicationWithSiteIdVO> selectEnabledScopesForMultiConflictCheck(
            @Param("siteId") Integer siteId,
            @Param("excludeSchemeIds") List<String> excludeSchemeIds,@Param("floatingBarSchemeId")Integer floatingBarSchemeId);
}

