package com.huoran.iasf.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.iasf.entity.Category;
import com.huoran.iasf.entity.ProductDetails;
import com.huoran.iasf.vo.DisciplineAndSpecialtyVO;
import com.huoran.iasf.vo.req.PageContentReqVO;
import com.huoran.iasf.vo.req.PageCourseProductReq;
import com.huoran.iasf.vo.resp.PageContentRespVO;
import com.huoran.iasf.vo.resp.PageCourseProductRespVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 综合产品与课程详情信息表 Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2024-06-12
 */
public interface SysProductDetailsMapper extends BaseMapper<ProductDetails> {
    IPage<PageContentRespVO> productCourseList(Page<PageContentRespVO> page, @Param("req") PageContentReqVO req);

    IPage<PageCourseProductRespVO> courseProduct(Page<PageCourseProductRespVO> page, @Param("req") PageCourseProductReq req);

    String queryTypeByCategoryId(@Param("classificationTagId") String classificationTagId);

    ProductDetails foregroundPreview(@Param("id") Integer id);


    DisciplineAndSpecialtyVO queryDisciplineAndSpecialty(@Param("id") Integer id);
}

