package com.huoran.iasf.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.iasf.entity.Category;
import com.huoran.iasf.mapper.CategoryMapper;
import com.huoran.iasf.service.SysCategoryService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 产品与课程分类表 服务实现类
 * </p>
 *
 * @author cheney
 * @since 2024-06-12
 */
@Service
public class CategoryServiceImpl extends ServiceImpl<CategoryMapper, Category> implements SysCategoryService {

    @Override
    public boolean existsOtherByName(String name, Integer categoryId, Integer siteId, Integer type) {
        QueryWrapper<Category> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("name", name);
        queryWrapper.eq("site_id", siteId);
        queryWrapper.eq("type", type);

        if (categoryId != null) {
            queryWrapper.ne("category_id", categoryId);
        }
        return false;
    }

    @Override
    public boolean existsByName(String name, Integer siteId, Integer type) {
        QueryWrapper<Category> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("name", name);
        queryWrapper.eq("site_id", siteId);
        queryWrapper.eq("type", type);

        if (baseMapper.selectCount(queryWrapper) > 0) {
            return true;
        }
        return false;
    }

    @Override
    public boolean checkDelete(Integer siteId, Integer categoryId, Integer type) {
        if (baseMapper.checkDelete(siteId, categoryId, type) > 0) {
            return true;
        }
        return false;
    }

    @Override
    public String queryLabelsReferencedWithinSite(Integer siteId,Integer type) {
        if (!StringUtils.isEmpty(baseMapper.queryLabelsReferencedWithinSite(siteId))) {
            return baseMapper.queryLabelsReferencedWithinSite(siteId);
        }
        return null;
    }

    @Override
    public List<Category> lookUpTheTypeOfReferenceBySite(Integer siteId,Integer type) {
        return baseMapper.lookUpTheTypeOfReferenceBySite(siteId,type);
    }


}
