package com.huoran.iasf.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.iasf.entity.SysFloatingColumnSchemeModule;
import com.huoran.iasf.mapper.SysFloatingColumnSchemeModuleMapper;
import com.huoran.iasf.service.SysFloatingColumnSchemeModuleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 悬浮栏方案设置 服务实现类
 * </p>
 *
 * @author cheney
 * @since 2024-06-04
 */
@Service
public class SysFloatingColumnSchemeModuleServiceImpl extends ServiceImpl<SysFloatingColumnSchemeModuleMapper, SysFloatingColumnSchemeModule> implements SysFloatingColumnSchemeModuleService {

    @Override
    public List<SysFloatingColumnSchemeModule> getModuleByFloatingBarSchemeId(Integer floatingBarSchemeId) {
        QueryWrapper<SysFloatingColumnSchemeModule> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysFloatingColumnSchemeModule::getFloatingBarSchemeId, floatingBarSchemeId);
        return list(queryWrapper);
    }

    @Override
    public void deleteByFloatingBarSchemeId(Integer floatingBarSchemeId) {
        QueryWrapper<SysFloatingColumnSchemeModule> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysFloatingColumnSchemeModule::getFloatingBarSchemeId, floatingBarSchemeId);
        remove(queryWrapper);
    }
}
