package com.huoran.iasf.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.iasf.entity.SysFloatingColumnSchemeScopeOfApplication;
import com.huoran.iasf.mapper.SysFloatingColumnSchemeScopeOfApplicationMapper;
import com.huoran.iasf.service.SysFloatingColumnSchemeScopeOfApplicationService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 悬浮栏应用范围 服务实现类
 * </p>
 *
 * @author cheney
 * @since 2024-06-04
 */
@Service
public class SysFloatingColumnSchemeScopeOfApplicationServiceImpl extends ServiceImpl<SysFloatingColumnSchemeScopeOfApplicationMapper, SysFloatingColumnSchemeScopeOfApplication> implements SysFloatingColumnSchemeScopeOfApplicationService {

    @Override
    public List<SysFloatingColumnSchemeScopeOfApplication> getScopeOfApplicationByFloatingBarSchemeId(Integer floatingBarSchemeId) {
        QueryWrapper<SysFloatingColumnSchemeScopeOfApplication> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("floating_bar_scheme_id", floatingBarSchemeId);
        return this.list(queryWrapper);
    }

    @Override
    public void deleteByFloatingBarSchemeId(Integer floatingBarSchemeId) {
        QueryWrapper<SysFloatingColumnSchemeScopeOfApplication> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("floating_bar_scheme_id", floatingBarSchemeId);
        this.remove(queryWrapper);
    }

    @Override
    public List<String> getScopeIdsBySchemeId(Integer id) {
        QueryWrapper<SysFloatingColumnSchemeScopeOfApplication> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("floating_bar_scheme_id", id);
        if (this.list(queryWrapper) != null) {
            List<SysFloatingColumnSchemeScopeOfApplication> list = this.list(queryWrapper);
            Set<String> set = list.stream().map(SysFloatingColumnSchemeScopeOfApplication::getApplicationScopeId).collect(java.util.stream.Collectors.toSet());
            if (set != null) {
                return new java.util.ArrayList<>(set);
            }
        }

        return null;
    }


}
