package com.huoran.iasf.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.iasf.entity.SysNavigationIcon;
import com.huoran.iasf.mapper.SysNavigationIconMapper;
import com.huoran.iasf.service.SysNavigationIconService;
import com.huoran.iasf.vo.req.SortOrderReq;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 导航图标设置 服务实现类
 * </p>
 *
 * @author cheney
 * @since 2024-07-04
 */
@Service
public class SysNavigationIconServiceImpl extends ServiceImpl<SysNavigationIconMapper, SysNavigationIcon> implements SysNavigationIconService {

    @Override
    public List<SysNavigationIcon> listBySiteIdAndStatus(Integer siteId, Integer disableStatus,String search) {
       return baseMapper.listBySiteIdAndStatus(siteId, disableStatus,search);

    }

    @Override
    public void batchUpdateSortOrder(List<SortOrderReq> sortOrderRequests) {
        for (SortOrderReq request : sortOrderRequests) {
            // 根据ID更新每个记录的sort_order字段
            baseMapper.updateSortOrder(request.getId(), request.getSortOrder(), request.getIcon());
        }
    }

    @Override
    public boolean existsOtherByTitle(String title, Integer id, Integer siteId) {
        if (this.count(new QueryWrapper<SysNavigationIcon>().eq("title", title).ne("id", id).eq("site_id", siteId)) > 0) {
            return true;
        }
        return false;
    }

    @Override
    public boolean existsByTitle(String title, Integer siteId) {
        if (this.count(new QueryWrapper<SysNavigationIcon>().eq("title", title).eq("site_id", siteId)) > 0) {
            return true;
        }
        return false;
    }
}
