package com.huoran.iasf.vo;

import lombok.Data;

@Data
public class ConflictCheckResultVO {
    private boolean hasConflict; // 表示是否有冲突
    private String message; // 存储冲突的详细信息，可以是冲突的描述或为空

    /**
     * 构造函数，初始化冲突检测结果。
     *
     * @param hasConflict 是否存在冲突
     * @param message     冲突的详细信息，没有冲突时可以为空
     */
    public ConflictCheckResultVO(boolean hasConflict, String message) {
        this.hasConflict = hasConflict;
        this.message = message;
    }

    // Getter 和 Setter 方法
    public boolean isHasConflict() {
        return hasConflict;
    }

    public void setHasConflict(boolean hasConflict) {
        this.hasConflict = hasConflict;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    // 可选：提供一个方便的toString方法，便于打印或查看结果
    @Override
    public String toString() {
        return "ConflictCheckResultVO{" + "hasConflict=" + hasConflict + ", message='" + message + '\'' + '}';
    }
}
