package com.huoran.iasf.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 悬浮栏方案
 * </p>
 *
 * @author cheney
 * @since 2024-06-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SysFloatingColumnScheme对象", description = "悬浮栏方案")
public class SysFloatingColumnSchemeVO {


    @ApiModelProperty(value = "悬浮栏方案id")
    private Integer floatingBarSchemeId;

    @ApiModelProperty(value = "悬浮栏方案名称")
    private String schemeName;


    @ApiModelProperty(value = "应用范围")
    private String scopeOfApplication;

    @ApiModelProperty(value = "内容模块数量")
    private String numberOfContentModules;

    @ApiModelProperty(value = "是否禁用(0默认，0启用 1禁用)")
    private Integer isDisable;


    @ApiModelProperty(value = "编辑人id", hidden = true)
    private Integer editorId;

    @ApiModelProperty(value = "编辑人名称")
    private String editorSName;


    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


}
