package com.huoran.iasf.vo.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.huoran.iasf.entity.Category;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @描述：文章管理
 * @作者: Rong
 * @日期: 2022-08-05
 */
@Data
public class PageCourseProductRespVO {


    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "名称，课程或产品的名称，根据类型区分")
    private String name;


    @ApiModelProperty(value = "封面图片URL，课程封面或产品封面")
    private String coverImageUrl;

    @ApiModelProperty(value = "来源信息，仅课程详情使用，可为空")
    private String source;


    @ApiModelProperty(value = "简介")
    private String introduction;

    @ApiModelProperty(value = "详细描述")
    private String detailedDescription;

    @ApiModelProperty(value = "文章总浏览量")
    private Integer totalBrowsing;

    @ApiModelProperty(value = "课程分类id或产品分类id")
    private String categoryId;

    @ApiModelProperty(value = "类型(多选)")
    private String classificationTagId;


    @ApiModelProperty(value = "分类（单选）")
    private String category;

    @ApiModelProperty(value = "标签")
    private String tag;

    @ApiModelProperty(value = "是否置顶(0否,1是)")
    private Integer isTop;


    @ApiModelProperty(value = "链接类型")
    private Integer connectionType;

    @ApiModelProperty(value = "链接地址")
    private String linkAddress;

    @ApiModelProperty(value = "站点选择(连接类型为其它站点连接时储存)")
    private Integer siteSelection;

    @ApiModelProperty(value = "是否在新窗口打开(0:否 1:是)")
    private Integer isOpen;

    @ApiModelProperty(value = "文章模板(前端自定义)")
    private Integer articleTemplate;

    @ApiModelProperty(value = "模板状态(0禁用；1启用)")
    private Integer templateStatus;
}